org.richfaces.renderkit

## Class OrderingListRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.SelectManyRendererBase
        - - org.richfaces.renderkit.OrderingListRendererBase

- Direct Known Subclasses:
    OrderingListRenderer

      public class OrderingListRendererBase
      extends SelectManyRendererBase

  Author:
    Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CSS_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingListRendererBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeHeader(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `void` | `encodeRows(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `String` | `getButtonClass(javax.faces.component.UIComponent component, String buttonClass)`

    - ### Methods inherited from class org.richfaces.renderkit.SelectManyRendererBase

      `csvEncodeSelectedItems, doDecode, encodeHeightAndWidth, getButtonClass, getClientSelectItems, getConvertedValue, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, hasColumnChildren, isHeaderExists`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CSS_PREFIX

          public static String CSS_PREFIX

  - ### Constructor Detail

    - #### OrderingListRendererBase

          public OrderingListRendererBase()

  - ### Method Detail

    - #### encodeHeader

          public void encodeHeader(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)
                            throws IOException

      Throws:
        `IOException`

    - #### encodeRows

          public void encodeRows(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 List<ClientSelectItem> clientSelectItems)
                          throws IOException

      Throws:
        `IOException`

    - #### encodeItems

          public void encodeItems(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component,
                                  List<ClientSelectItem> clientSelectItems)
                           throws IOException

      Throws:
        `IOException`

    - #### getButtonClass

          public String getButtonClass(javax.faces.component.UIComponent component,
                                       String buttonClass)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.